
var n=0,i,z=1;
			 var inicio;
			 var d;                        //direccion
			 var ds=1000;           //distancia a recorrer
			 var a=8.9;                //aceleracion
			 var vi=0;                   //velocidad inicial
			 var estatus;
			 var ok=false;          //deshabilita el boton siguiente
			/************Empieza funcion para ordenar capas************/
			$(document).ready(function() {
			    var button = $('#subir');
				 estatus=$(".estado");
				  for(i=estatus.length;i>0;i--){
				     estatus[i-1].style.zIndex=z;
				     estatus[i-1].style.marginLeft=ds+"px";
					  z++;
				 } 
				  estatus[n].style.marginLeft="0px";
				 $("#nombre").focus();
	             new AjaxUpload('#subir', {
                  action: 'upload.php',
		          onSubmit : function(file , ext){
		          if (! (ext && /^(jpg|jpeg|png|gif)$/.test(ext))){
			      // extensiones permitidas
			     alertop('Error: Solo se permiten imagenes');
			     // cancela upload
			     return false;
		         } else {
			     button.html('<b style="position:absolute;top:4px;left:4px;cursor:pointer;cursisr:hand;">Subiendo</b>');
			     this.disable();
		         }
		      },
		     onComplete: function(file, response){
			 button.html('<b style="position:absolute;top:4px;left:15px;cursor:pointer;cursisr:hand;">Subir</b>');
			 // enable upload button
			 this.enable();			
			 // Agrega archivo a la lista
			  $('#lista').appendTo('.files').text(response);
		          }
	             });
             });
			 /********Termina funcion para ordenar capas********/
			 /**********Funciones para la barra en los estado de registro***********/
		     function activo(n){
			     document.getElementById("e"+n).setAttribute("class", "bar");
			 }
			 function inactivo(n){
			     document.getElementById("e"+n).setAttribute("class", "bar-on");
			 }
			 /**********Termina Funciones para la barra en los estado de registro***********/
		     function slide(){
				 inicio=new Date().getTime();
				 trans=setInterval("transicion()",10);
			 }
			 function transicion(){
			     var ahora=new Date().getTime();
				 time=(ahora-inicio)*0.1;
				 ac=(a*Math.pow(time,2))/2;
				 m=3+vi*time+ac;
				 p=m/20;
				 p=p.toFixed();
			     pe1=estatus[n].style.marginLeft;
			     pe2=estatus[i].style.marginLeft;
				 px1=pe1.replace("px","");
				 px2=pe2.replace("px","");
					 if(d=="+"){
					 p1=parseInt(px1)-p;
					 p2=parseInt(px2)-p;
					 if(p2>=0){
					 estatus[n].style.marginLeft=p1+"px";
					 estatus[i].style.marginLeft=p2+"px";
					 }else{
					     estatus[n].style.marginLeft="-"+ds+"px";
					     estatus[i].style.marginLeft="0px";
				         clearInterval(trans);
						 n++;
						 activo(n+1);
				        }
				    }
					 if(d=="-"){
					 p1=parseInt(px1)+parseInt(p);
					 p2=parseInt(px2)+parseInt(p);
					 if(p2<=500){
					 estatus[n].style.marginLeft=p1+"px";
					 estatus[i].style.marginLeft=p2+"px";
					 }else{
					     estatus[n].style.marginLeft="0px";
					     estatus[i].style.marginLeft=ds+"px";
				         clearInterval(trans);
						 i--;
						 inactivo(n+2);
				        }
				    }		
			 }
			 function sig(){
			     if(n<estatus.length-1){
			     i=n+1;
				 d="+";
			     slide();
				 }
			 }
			 function ant(){
			     if(n>0){
				 n=i-1;
				 d="-";
			     slide();
				 }
			 }
			 /***************verifica informacion en la base para fines de registro de empleados****************/
			 function consulta(idn,v){
			     $.post("consulta.php", { valor: idn,vs:v}, function(data){
	                  $("#msgs").html(data);
	             });
			 }
			  /***************TERMINA verifica informacion en la base para fines de registro de empleados****************/
			  
			  /******************************Valida campos en registro de empleados*******************/
			function v(v){
			 var corr=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
			 var nom=document.getElementById("nombre");
			 var apa=document.getElementById("apat");
			 var ama=document.getElementById("amat");
			 var sex=document.getElementById("sexo");
			 var dir=document.getElementById("direccion");
			 var tel=document.getElementById("telefono");
			 var mail=document.getElementById("mail");
			 
			 var fi=document.getElementById("fing");
			 var pue=document.getElementById("puesto");
			 var tur=document.getElementById("turno");
			 
			 var usu=document.getElementById("usuario");
			 var con=document.getElementById("contraseña");
			 var cco=document.getElementById("ccontraseña");
			 
			 if(v==1){
			     if(nom.value==""){alerta("Ingrese el nombre del empleado");nom.focus();ok=false;return ok;}
			     if(apa.value==""){alerta("Ingrese el apellido paterno del empleado");apa.focus();ok=false;return ok;}	
			     if(ama.value==""){alerta("Ingrese el apellido materno del empleado");ama.focus();ok=false;return ok;}	
			     if(sex.value==""){alerta("Ingrese el sexo del empleado");sex.focus();ok=false;return ok;}
				 if(dir.value==""){alerta("Ingrese la dirección del empleado");dir.focus();ok=false;return ok;}
				 if(tel.value==""){alerta("ingrese el teléfono del empleado");tel.focus();ok=false;return ok;}
				 if(mail.value==""){alerta("ingrese el e-mail del del empleado");mail.focus();ok=false;return ok;}
			     if(!corr.test(mail.value)){alerta(mail.value +" no es una direccion de correo válida"); mail.focus();ok=false;return ok;}
			  }
			 if(v==2){	
			     if(fi.value==""){alerta("Indique la fecha de ingreso del empleado");nom.focus();ok=false;return ok;}
			     if(pue.value==""){alerta("Seleccione el puesto del empleado");apa.focus();ok=false;return ok;}	
			     if(tur.value==""){alerta("Seleccione el turno del empleado");ama.focus();ok=false;return ok;}	
			    }
                return true;	
			}			 
			
			function v3(){			
			 var usu=document.getElementById("usuario");
			 var con=document.getElementById("contraseña");
			 var cco=document.getElementById("ccontraseña");
			 var coa;
			 if(!document.getElementById("contraseñaant")){
			     if(usu.value==""){alerta("Ingrese un nombre de usuario");ok=false;return ok;nom.focus();}
			     if(con.value==""){alerta("Ingrese una contraseña");ok=false;return ok;on.focus();}	
			     if(cco.value==""){alerta("Confirme su contraseña");cco.focus();ok=false;return ok;}	
				 if(cco.value!=con.value){alerta("Las contraseñas  no coinciden");ok=false;return ok;cco.focus();}
				}else{coa=document.getElementById("contraseñaant");
					 if(usu.value==""){alerta("Ingrese un nombre de usuario");ok=false;return ok;nom.focus();}
					 if(usu.value==usu.alt){
					 if(con.value!="" && cco.value==""){alerta("Confirme su contraseña nueva");cco.focus();ok=false;return ok;}
                         if(cco.value!=con.value){alerta("Las contraseñas  no coinciden");ok=false;return ok;cco.focus();}						 
					 }
					  //if(coa.value=="" ){alerta("Para modificar informacion ingrese su contraseña actual");bloqueo("contraseñaant",false);ok=false;return ok;}
				}
				return true;
			}
			 /******************************TERMINA Valida campos en registro de empleados*******************/
			 
			 /***********************************funciones de alerta personalizada*************************************/
			function alerta(ms,fe){
			   al=document.getElementById("msgs");
			   al.style.display="block";
			   al.innerHTML=ms+"<br><a href='javascript:cerrar();"+fe+"' class='btn'>cerrar</a>";
			 }
			 function cerrar(){
			     al=document.getElementById("msgs");
			     al.style.display="none";
			 }
			 /***********************************terminan funciones de alerta personalizada*************************************/
			 
			 /****************************************Funcion para buscar empleados***********************************************/
			 function buscar(v){
			    var todo=document.getElementById("todos");
				var nom,apa,ama;
				if(v){todo.value="no";todo.checked=false;}
				if(todo.value=="si"){
				 nom="";apa="";ama="";
				 tod=document.getElementById("todos").value;
				 document.getElementById("nombre").value="";
			     document.getElementById("apat").value="";
			     document.getElementById("amat").value="";
				}
				else{
				 tod=document.getElementById("todos").value;
			     nom=document.getElementById("nombre").value;
			     apa=document.getElementById("apat").value;
			     ama=document.getElementById("amat").value;
			     }
				 $.post("busca.php", { nomb: nom, apat:apa, amat:ama, todos:tod}, function(data){
	                  $("#cont-res").html(data);
	             });
			 }
			  /****************************************TERMINA Funcion para buscar empleados***********************************************/
			 /****************************************Funcion para buscar clientes***********************************************/
			 function buscarcl(v){
			    var todo=document.getElementById("todos");
				var nom,mail,rfc;
				if(v){todo.value="no";todo.checked=false;}
				if(todo.value=="si"){
				 nom="";mail="";rfc="";
				 tod=document.getElementById("todos").value;
				 document.getElementById("nombre").value="";
			     document.getElementById("mail").value="";
			     document.getElementById("rfc").value="";
				}
				else{
				 tod=document.getElementById("todos").value;
			     nom=document.getElementById("nombre").value;
			     mail=document.getElementById("mail").value;
			     rfc=document.getElementById("rfc").value;
			     }
				 $.post("buscacl.php", { nomb: nom, mail:mail, rfc:rfc, todos:tod}, function(data){
	                  $("#cont-res").html(data);
	             });
			 }
			  /****************************************TERMINA Funcion para buscar clientes***********************************************/
			  			 /****************************************Funcion para buscar pedidos***********************************************/
			 function buscarp(v){
			    //var todo=document.getElementById("todos");
				var f1,f2;
				//if(v){todo.value="no";todo.checked=false;}
				//if(todo.value=="si"){
				 //folio="";cliente="";f1="";f2="";
				 //tod=document.getElementById("todos").value;
				 //document.getElementById("folio").value="";
			     //document.getElementById("cliente").value="";
			     //document.getElementById("f1").value="";
				 //document.getElementById("f2").value="";
				//}
				//else{
				// tod=document.getElementById("todos").value;
			    // folio=document.getElementById("folio").value;
			     //cliente=document.getElementById("cliente").value;
				 //liga=requisiciones&aprobado=si&pagado=si&hoy=1
				 f1=document.getElementById("f1").value;
				 f2=document.getElementById("f2").value;
			     //}
				 $.post("requisicionespagadas.php", {f1:f1,f2:f2,liga:requisiciones,aprobado:si,pagado:si,hoy:1}, function(data){
	             $("#cont-res").html(data);
	             }); 
			 }
			  /****************************************TERMINA Funcion para buscar pedidos***********************************************/
			  /***************************************buscar material********************************************************************/
			 function buscarmat(v){
			    var todo=document.getElementById("todos");
				var nom;
				if(v){todo.value="no";todo.checked=false;}
				if(todo.value=="si"){
				 nom="";
				 tod=document.getElementById("todos").value;
				 document.getElementById("nombre").value="";
				}
				else{
				 tod=document.getElementById("todos").value;
			     nom=document.getElementById("nombre").value;
			     }
				 $.post("buscamat.php", { nomb:nom,todos:tod}, function(data){
	                  $("#cont-res").html(data);
	             });
			 }
			  /***************************************termina buscar material************************************************************/
			  /*******************************************Funcion para activar o desactivar socios*******************************************************/
			  function stemp(idemp,oper){
			     $.post("altas_bajas.php", { id: idemp, status:oper}, function(data){
	                  $("#msgs").html(data);
	             });
			  }
			  /*******************************************Funcion para activar o desactivar socios*******************************************************/
			   /*******************************************Funcion para activar o desactivar socios*******************************************************/
			  function stped(idped,oper,fol){
			     $.post("altas_bajas_ped.php", { id: idped, status:oper, folio:fol}, function(data){
	                  $("#msgs").html(data);
	             });
			  }
			  /*******************************************Funcion para activar o desactivar socios*******************************************************/
			  /********************************************Funcion para popups**************************************************/
			  function abrir(page, name) {
	          newWindow = window.open(page,name,'directories=no,location=no,status=no,scrollbars=yes,width=1000px,height='+screen.height+',left=0,top=0');
  	          newWindow.creator=self;
  	          newWindow.focus(); 
             }
			 
			 function abre(i,ds,opc) {
	              el=$("#expediente");
				  if(ds){
				  $.post("expediente.php", { id: i,op:opc}, function(data){
	                  $("#expediente").html(data);
	             });
				 el.slideDown('slow');
				 }else{el.slideUp('slow');}
				 
             }
			 /********************************************termina funcion para popups*******************************************/
			 /********************************************funcion para bloquear/desbloquear*******************************************/
			 function bloqueo(id,v){
			 var el=document.getElementById(id);
			 el.readOnly=v;
             if(!v){
			     $("#"+id).removeClass("off");
			     el.focus();
			    }
			 }
			 /********************************************termina funcion para bloquear/desbloquear*******************************************/
			 /***********************FUNCION PARA VALIDAR CLIENTES***********************/
		     function vc(v,tc){
			     var corr=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
			     if(tc=="p"){
				     var nom=document.getElementById("nombrec");
			         var apa=document.getElementById("apatc");
			         var ama=document.getElementById("amac");
			         var dir=document.getElementById("direccionc");
			         var tel=document.getElementById("telefonoc");
			         var mail=document.getElementById("mailc");
					 if(v=1){
					     if(nom.value==""){alerta("Ingrese el nombre del cliente");nom.focus();ok=false;return ok;}
			             if(apa.value==""){alerta("Ingrese el apellido paterno del cliente");apa.focus();ok=false;return ok;}	
			             if(ama.value==""){alerta("Ingrese el apellido materno del cliente");ama.focus();ok=false;return ok;}	
				         if(dir.value==""){alerta("Ingrese la dirección del cliente");dir.focus();ok=false;return ok;}
				         if(tel.value==""){alerta("ingrese el teléfono del cliente");tel.focus();ok=false;return ok;}
				         if(mail.value==""){alerta("ingrese el e-mail del del cliente");mail.focus();ok=false;return ok;}
			             if(!corr.test(mail.value)){alerta("\""+mail.value +"\" no es una dirección de correo válida",''); mail.focus();ok=false;return ok;}
					 }
				  }
				 if(tc=="e"){
				     var nom=document.getElementById("nombreemp");
			         var dir=document.getElementById("direccionemp");
			         var tel=document.getElementById("telefonoemp");
			         var mail=document.getElementById("mailemp");
					 if(v=1){
					     if(nom.value==""){alerta("Ingrese el nombre de la empresa",'');nom.focus();ok=false;return ok;}
				         if(dir.value==""){alerta("Ingrese la dirección de la empresa",'');dir.focus();ok=false;return ok;}
				         if(tel.value==""){alerta("ingrese el teléfono de la empresa",'');tel.focus();ok=false;return ok;}
				         if(mail.value==""){alerta("ingrese el e-mail de la empresa",'');mail.focus();ok=false;return ok;}
			             if(!corr.test(mail.value)){alerta("\""+mail.value +"\" no es una dirección de correo válida",''); mail.focus();ok=false;return ok;}
					 }
				 } 
				 return true; 
			 }
			 function vc3(tc){
			     var cliente;
				 var razon=document.getElementById("razonsocial");
			     var rfc=document.getElementById("rfc");
			     var dirfis=document.getElementById("dirfiscal");
			     if(tc=="p"){cliente="del cliente";}
				 if(tc=="e"){cliente="de la empresa";}
			     if(razon.value==""){alerta("Ingrese la razon social "+cliente,'');razon.focus();ok=false;return ok;}
				 if(rfc.value==""){alerta("Ingrese el RFC "+cliente,'');rfc.focus();ok=false;return ok;}
				 if(dirfis.value==""){alerta("Ingrese la dirección fiscal "+cliente,'');dirfis.focus();ok=false;return ok;}
			 }
			 
			 function omitir(f,v,tc){
			 var razon=document.getElementById("razonsocial");
			 var rfc=document.getElementById("rfc");
			 var dirfis=document.getElementById("dirfiscal");
			 if(v){f.removeAttribute('onsubmit');$("#omitir").html('pulse registar ->');razon.value="";rfc.value="";dirfis.value="";}else{f.setAttribute('onsubmit',"javascript:return vc3('"+tc+"')");$("#omitir").html('omitir datos fiscales');}
			 }
		 /***********************TERMINA FUNCION PARA VALIDAR CLIENTES***********************/	 
		 /***********************VALIDAR FORMULARIO DE PEDIDOS*******************************/
//busca caracteres que no sean espacio en blanco en una cadena  
			function vacio(q) {  
					for ( i = 0; i < q.length; i++ ) {  
							if ( q.charAt(i) != " " ) {  
									return true  
							}  
					}  
					return false  
			}
//valida que el campo no este vacio y no tenga solo espacios en blanco  
			function validaform(F) {  
					  
					if(vacio(F.fentrega.value) == false) {  
							alert("Introduzca una fecha de entrega."); 
							F.fentrega.focus();
							return false  
					}else if(vacio(F.neto.value) == false || F.neto.value==0) {  
							alert("El subtotal debe contener un valor"); 
							F.neto.focus();
							return false  
					}else if(vacio(F.tci.value) == false || F.tci.value==0) {  
							alert("El Total debe contener un valor"); 
							F.total.focus();
							return false  
					}
					else {  
						   return true  
					}  
					  
			}				
		 /**********************TERMINA VALIDACION DE FORMULARIOS****************************/
		 /**********************asigna*******************************************************/
		 function asigna(){
         var chk=document.getElementById('v').checked;
         if(chk==true){
           document.getElementById('validado').value=1;
          }else{
                document.getElementById('validado').value="";
               }
         }
		 /***************valida material**************************************************/
		 		  function vmat(P) {  
					if(vacio(P.nombre.value) == false) {  
							alert("Introduce el nombre del material"); 
							P.nombre.focus();
							return false  
					}else{
					  return true  
					}
			}
			
			
function bkscr(){div2 = document.getElementById('logbk');div2.style.display ='block';}			
function confavtr(){
bkscr();
var div=document.getElementById("confavatar");
div.style.display="block";
$.post("crop.php", { i:0}, function(data){$("#confavatar").html(data);});
}
function dat(){$.post("crop.php", { i:0}, function(data){$("#confavatar").html(data);});}			